Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class GridModel

    java.lang.Object
      com.eltima.chart.GridModel

All Implemented Interfaces:
  java.io.Serializable

    public class GridModel

extends java.lang.Object
implements java.io.Serializable

The GridModel class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Constructor Summary
`GridModel()` Creates new instance of GradientModel.
`GridModel(boolean linePainted, LineModel lineModel, boolean evenGradientPainted, GradientModel evenGradient, boolean oddGradientPainted, GradientModel oddGradient)` Creates new instance of GradientModel with specified LineModel, even and odd GradientModel.

Method Summary
`GradientModel` | `getEvenGradient()` Returns the even GradientModel.
`LineModel` | `getLineModel()` Ruturns the LineModel.
`GradientModel` | `getOddGradient()` Returns the odd GradientModel.
`boolean` | `isEvenGradientPainted()` Returns true if even gradient is painted.
`boolean` | `isLinePainted()` Returns true if line is painted.
`boolean` | `isOddGradientPainted()` Returns true if odd gradient is painted.
`void` | `setEvenGradient(GradientModel evenGradient)` Sets the even GradientModel.
`void` | `setEvenGradientPainted(boolean evenGradientPainted)` Sets the even gradient is painted.
`void` | `setLineModel(LineModel lineModel)` Sets the LineModel.
`void` | `setLinePainted(boolean linePainted)` Sets line is painted.
`void` | `setOddGradient(GradientModel oddGradient)` Sets the odd GradientModel.
`void` | `setOddGradientPainted(boolean oddGradientPainted)` Sets odd gradient is painted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridModel

    public GridModel()

  Creates new instance of GradientModel.

### GridModel

    public GridModel(boolean linePainted,
                     LineModel lineModel,
                     boolean evenGradientPainted,
                     GradientModel evenGradient,
                     boolean oddGradientPainted,
                     GradientModel oddGradient)

  Creates new instance of GradientModel with specified LineModel, even and odd GradientModel.

Method Detail

### getEvenGradient

    public GradientModel getEvenGradient()

  Returns the even GradientModel.

  Returns:
    GradientModel

### isEvenGradientPainted

    public boolean isEvenGradientPainted()

  Returns true if even gradient is painted.

  Returns:
    boolean

### getLineModel

    public LineModel getLineModel()

  Ruturns the LineModel.

  Returns:
    LineModel

### isLinePainted

    public boolean isLinePainted()

  Returns true if line is painted.

  Returns:
    boolean

### getOddGradient

    public GradientModel getOddGradient()

  Returns the odd GradientModel.

  Returns:
    GradientModel.

### isOddGradientPainted

    public boolean isOddGradientPainted()

  Returns true if odd gradient is painted.

  Returns:
    boolean

### setEvenGradient

    public void setEvenGradient(GradientModel evenGradient)

  Sets the even GradientModel.

  Parameters:
    `evenGradient` - GradientModel

### setEvenGradientPainted

    public void setEvenGradientPainted(boolean evenGradientPainted)

  Sets the even gradient is painted.

  Parameters:
    `evenGradientPainted` - boolean

### setLineModel

    public void setLineModel(LineModel lineModel)

  Sets the LineModel.

  Parameters:
    `lineModel` - LineModel

### setLinePainted

    public void setLinePainted(boolean linePainted)

  Sets line is painted.

  Parameters:
    `linePainted` - boolean

### setOddGradient

    public void setOddGradient(GradientModel oddGradient)

  Sets the odd GradientModel.

  Parameters:
    `oddGradient` - GradientModel

### setOddGradientPainted

    public void setOddGradientPainted(boolean oddGradientPainted)

  Sets odd gradient is painted.

  Parameters:
    `oddGradientPainted` - boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.